%global modname prettytable
%bcond_with test

Summary:	Python library to display tabular data in tables
Name:		python-%{modname}
Version:	3.8.0
Release:	2%{?dist}
License:	BSD
URL:		https://pypi.python.org/pypi/PrettyTable
Source0:	https://pypi.python.org/packages/source/P/PrettyTable/%{modname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:  python3-devel python3-setuptools python3-setuptools_scm
BuildRequires:  python3dist(pip) python3dist(hatchling)
BuildRequires:  python3dist(wcwidth) python3dist(hatch-vcs)
%if %{with test}
BuildRequires:  python3dist(pytest) python3dist(pytest-lazy-fixture)
%endif

%description
PrettyTable is a simple Python library designed to make it quick and easy to represent
tabular data in visually appealing ASCII tables. It was inspired by the ASCII tables
used in the PostgreSQL shell psql. PrettyTable allows for selection of which columns
are to be printed, independent alignment of columns (left or right justified or centred)
and printing of "sub-tables" by specifying a row range.

%package -n python3-%{modname}
Summary:	Python library to display tabular data in tables
Provides:       python3-%{modname}

%description -n python3-%{modname}
PrettyTable is a simple Python library designed to make it quick and easy to represent
tabular data in visually appealing ASCII tables. It was inspired by the ASCII tables
used in the PostgreSQL shell psql. PrettyTable allows for selection of which columns
are to be printed, independent alignment of columns (left or right justified or centred)
and printing of "sub-tables" by specifying a row range.


%prep
%autosetup -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files prettytable

%if %{with test}
%check
%pytest
%endif

%files -n python3-%{modname}
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-%{version}*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.0-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 jackeyji <jackeyji@tencent.com> - 3.8.0-1
- Upgrade to 3.8.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 05 2022 rockerzhu <rockerzhu@tencent.com> - 0.7.2-1
- Initial build
